import { reactive, ref, UnwrapRef } from "vue";
/**
 * 表单
 * @returns 
 */
export function handleForm() {
    interface FormState {
        InvoiceAmount: number | null
    }
    const formRef = ref();
    const formState: UnwrapRef<FormState> = reactive({
        InvoiceAmount: null,
    })
    const rules = {
         InvoiceAmount: [{ required: true, message: '请输入收票金额', trigger: 'blur', type: 'number' }],
    }
    return { rules, formState, formRef }
}